// creator  : weidu.exe (version 23100)
// argument : GENIE1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~GENIE1~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #15469 /* ~Aha! I see a wayfarer has come to amuse Kalah!  You must answer a riddle, naturally, ere I will allow you to pass this bridge.  Are you ready to hear it?~ */
  IF ~~ THEN REPLY #15470 /* ~And why would I want to pass over this bridge?~ */ GOTO 1
  IF ~~ THEN REPLY #15471 /* ~I'd prefer to know who this Kalah is before I play any of your games.~ */ GOTO 2
  IF ~~ THEN REPLY #15472 /* ~Very well, I am ready.~ */ GOTO 3
  IF ~~ THEN REPLY #15473 /* ~No, I haven't seen a soul.~ */ GOTO 4
  IF ~~ THEN REPLY #15474 /* ~I'll answer none of your riddles!  Stand aside!~ */ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 2.0 0.0
  SAY #15475 /* ~Because it is symbolic of your progression to enlightenment and understanding, fool.   Are you ready to proceed?~ */
  IF ~~ THEN REPLY #15481 /* ~I'd prefer to know who this Kalah is before I play any of your games.~ */ GOTO 2
  IF ~~ THEN REPLY #15482 /* ~Very well, I am ready.~ */ GOTO 3
  IF ~~ THEN REPLY #15483 /* ~Yes, actually, I just saw them down the street.~ */ GOTO 4
  IF ~~ THEN REPLY #15484 /* ~I'll answer none of your riddles!  Stand aside!~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 1.0 0.1
  SAY #15476 /* ~Kalah does not reveal himself to those who are not worthy.   Are you ready to begin?~ */
  IF ~~ THEN REPLY #15486 /* ~Before I begin, tell me why would I want to pass over this bridge.~ */ GOTO 1
  IF ~~ THEN REPLY #15487 /* ~Very well, I am ready.~ */ GOTO 3
  IF ~~ THEN REPLY #15488 /* ~Yes, I saw them.  And I killed them for being the obvious slavers that they were.~ */ GOTO 4
  IF ~~ THEN REPLY #15489 /* ~I'll answer none of your riddles!  Stand aside!~ */ GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 14.0 13.0 12.0 2.1 1.1 0.2
  SAY #15477 /* ~Excellent!  A princess is as old as the prince will be when the princess is twice as old as the prince was when the princess' age was half the sum of their present age.  Which of the following, then, could be true?~ */
  IF ~~ THEN REPLY #15490 /* ~The prince is 20 and the princess is 30.~ */ GOTO 6
  IF ~~ THEN REPLY #15491 /* ~The prince is 40 and the princess is 30.~ */ GOTO 6
  IF ~~ THEN REPLY #15492 /* ~The prince is 30 and the princess is 40.~ */ GOTO 7
  IF ~~ THEN REPLY #15494 /* ~The prince is 30 and the princess is 20.~ */ GOTO 6
  IF ~~ THEN REPLY #15495 /* ~They are both the same age.~ */ GOTO 6
  IF ~~ THEN REPLY #15496 /* ~I surely don't know.~ */ GOTO 8
END

IF ~~ THEN BEGIN 4 // from: 2.2 1.2 0.3
  SAY #15479 /* ~Very well, then.  We have forever to wait, and I am eternal.  Take as much time as you feel you need, mortal.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.3 1.3 0.4
  SAY #15480 /* ~Ha ha ha!  You amuse me, little mortal.  Bluster as you wish, I shall not allow you to pass until you have solved my puzzle.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 3.4 3.3 3.1 3.0
  SAY #15497 /* ~Wrong!  Ha ha!  The prince, I am afraid, is 30 years old.  The princess is most assuredly 40.  Being a benevolent sort I shall give you one more riddle!~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 9.5 3.2
  SAY #15498 /* ~Ah, you are correct.  The mighty Kalah respects those with a most agile and quick mind.  Proceed across with my blessing.~ */
  IF ~~ THEN DO ~DestroySelf()~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 3.5
  SAY #15499 /* ~You will get nowhere, my friend, if you do not make an attempt.  Being as benevolent as the mighty Kalah, however, I will allow you another opportunity.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0 6.0
  SAY #15500 /* ~Here it is then, my friend:  The poorest have it, the richest need it, but if either was to eat it they would certainly perish.  Tell me what it is!~ */
  IF ~~ THEN REPLY #15501 /* ~Food.~ */ GOTO 10
  IF ~~ THEN REPLY #15502 /* ~Wealth.~ */ GOTO 10
  IF ~~ THEN REPLY #15503 /* ~Love.~ */ GOTO 10
  IF ~~ THEN REPLY #15504 /* ~Hope.~ */ GOTO 10
  IF ~~ THEN REPLY #15505 /* ~Everything.~ */ GOTO 10
  IF ~~ THEN REPLY #15506 /* ~Nothing.~ */ GOTO 7
  IF ~~ THEN REPLY #15507 /* ~I do not know.~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 9.4 9.3 9.2 9.1 9.0
  SAY #15509 /* ~Again wrong!  Ha ha!  The answer is 'nothing'!  If you eat nothing you will certainly perish!  Kalah holds no respect for the imbecilic, so now YOU will perish!~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 9.6
  SAY #15510 /* ~Fool!  Can you not even guess?  The answer is 'nothing'!  If you eat nothing you will perish, naturally.  And perish you shall, because Kalah suffers no fools!~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~True()~ THEN BEGIN 12 // from:
  SAY #15511 /* ~Ah, returned, have you?  You are prepared to answer a riddle, then?~ */
  IF ~~ THEN REPLY #15512 /* ~Yes, I am ready.~ */ GOTO 3
  IF ~~ THEN REPLY #15513 /* ~No, not yet.~ */ GOTO 13
  IF ~~ THEN REPLY #15514 /* ~I'll answer none of your riddles!  Away with you and let me pass!~ */ GOTO 14
END

IF ~~ THEN BEGIN 13 // from: 12.1
  SAY #15515 /* ~Too bad!  Kalah does not suffer fools gladly.  You shall answer whether you are ready to or not.  You understand, yes?~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 14 // from: 12.2
  SAY #15516 /* ~Ha ha!  Again you amuse me, little mortal.  Oh, surely is Kalah most pleased by this.  Regardless, you shall answer my riddle...  You understand, yes?~ */
  IF ~~ THEN GOTO 3
END
